%bcond_without check

%global goipath         github.com/BurntSushi/toml-test
Version:                0.2.0
%global commit          9767d201b51ac9c50630f181828bcd922bf3e9e5

%gometa

%global common_description %{expand:
Toml-test is a higher-order program that tests other TOML decoders or encoders.
The goal is to make it comprehensive. Tests are divided into two groups: invalid
TOML data and valid TOML data. Decoders that reject invalid TOML data pass
invalid TOML tests. Decoders that accept valid TOML data and output precisely
what is expected pass valid tests. The output format is JSON, described below.

Both decoders and encoders share valid tests, except an encoder accepts JSON and
outputs TOML. The TOML representations are read with a blessed decoder and
compared. Note though that encoders have their own set of invalid tests in the
invalid-encoder directory. The JSON given to a TOML encoder is in the same
format as the JSON that a TOML decoder should output.}

%global golicenses      COPYING
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Language agnostic test suite for TOML parsers

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/BurntSushi/toml)

%description
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/toml-test %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

mkdir -p  %{buildroot}%{_datadir}/toml-test/
cp -a tests %{buildroot}%{_datadir}/toml-test/

%if %{with check}
%check
%gocheck
%endif

%files
%license COPYING
%doc README.md
%{_bindir}/*
%{_datadir}/toml-test/

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
